config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

config etc/xdg/Fujitsu/CCryptoLib.conf.new
( cd usr/lib64 ; rm -rf libDigiSign_Toolkit.so )
( cd usr/lib64 ; ln -sf libDigiSign_Toolkit.so.4.3.4 libDigiSign_Toolkit.so )
( cd usr/lib64 ; rm -rf libDigiSign_Toolkit.so.4 )
( cd usr/lib64 ; ln -sf libDigiSign_Toolkit.so.4.3.4 libDigiSign_Toolkit.so.4 )
( cd usr/lib64 ; rm -rf libDigiSign_Toolkit.so.4.3 )
( cd usr/lib64 ; ln -sf libDigiSign_Toolkit.so.4.3.4 libDigiSign_Toolkit.so.4.3 )
( cd usr/lib64 ; rm -rf libcryptoki.so )
( cd usr/lib64 ; ln -sf libcryptoki.so.4.3.4 libcryptoki.so )
( cd usr/lib64 ; rm -rf libcryptoki.so.4 )
( cd usr/lib64 ; ln -sf libcryptoki.so.4.3.4 libcryptoki.so.4 )
( cd usr/lib64 ; rm -rf libcryptoki.so.4.3 )
( cd usr/lib64 ; ln -sf libcryptoki.so.4.3.4 libcryptoki.so.4.3 )
